Passer au contenu principal
GET
/
v1
/
coupons
List coupons
curl --request GET \
  --url https://api.hyperline.co/v1/coupons \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "cou_DKL4Xcb5VSa8CQ",
      "name": "Partner discount",
      "description": null,
      "expiration_date": null,
      "redemption_limit": null,
      "product_ids": [
        "itm_DKL4Xcb5VSa8CQ",
        "itm_1234567890abcdef"
      ],
      "repeat": "duration",
      "duration": {
        "count": 3,
        "period": "months"
      },
      "created_at": "2024-12-20T16:04:11Z",
      "type": "amount",
      "discount_amount": 2000,
      "currency": "EUR"
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

take
number | null
défaut:50
Plage requise: 0 <= x <= 100
skip
number | null
défaut:0
Plage requise: x >= 0

Réponse

200 - application/json
meta
object
requis
data
(Coupon amount · object | Coupon percent · object)[]
requis

List of Coupon.